Package icyllis.arc3d.engine

# Interface Engine.LoadStoreOps

Enclosing interface:
  `Engine`

public static interface Engine.LoadStoreOps
Combination of load ops and store ops.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `Clear_DontStore`
  Combination of load ops and store ops.
  `static final byte`
  `Clear_Store`
  Combination of load ops and store ops.
  `static final byte`
  `DontLoad_DontStore`
  Combination of load ops and store ops.
  `static final byte`
  `DontLoad_Store`
  Combination of load ops and store ops.
  `static final byte`
  `Load_DontStore`
  Combination of load ops and store ops.
  `static final byte`
  `Load_Store`
  Combination of load ops and store ops.
  `static final byte`
  `StoreOpShift`

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static byte`
  `loadOp(byte ops)`
  `static byte`
  `make(byte load, byte store)`
  `static byte`
  `storeOp(byte ops)`

- ## Field Details

  - ### StoreOpShift

    static final byte StoreOpShift
    See Also:
      - Constant Field Values

  - ### Load_Store

    static final byte Load_Store
    Combination of load ops and store ops. 0-4 bits: LoadOp; 4-8 bits: StoreOp
    See Also:
      - Constant Field Values

  - ### Clear_Store

    static final byte Clear_Store
    Combination of load ops and store ops. 0-4 bits: LoadOp; 4-8 bits: StoreOp
    See Also:
      - Constant Field Values

  - ### DontLoad_Store

    static final byte DontLoad_Store
    Combination of load ops and store ops. 0-4 bits: LoadOp; 4-8 bits: StoreOp
    See Also:
      - Constant Field Values

  - ### Load_DontStore

    static final byte Load_DontStore
    Combination of load ops and store ops. 0-4 bits: LoadOp; 4-8 bits: StoreOp
    See Also:
      - Constant Field Values

  - ### Clear_DontStore

    static final byte Clear_DontStore
    Combination of load ops and store ops. 0-4 bits: LoadOp; 4-8 bits: StoreOp
    See Also:
      - Constant Field Values

  - ### DontLoad_DontStore

    static final byte DontLoad_DontStore
    Combination of load ops and store ops. 0-4 bits: LoadOp; 4-8 bits: StoreOp
    See Also:
      - Constant Field Values

- ## Method Details

  - ### make

    static byte make(byte load, byte store)

  - ### loadOp

    static byte loadOp(byte ops)
    See Also:
      - `Engine.LoadOp`

  - ### storeOp

    static byte storeOp(byte ops)
    See Also:
      - `Engine.StoreOp`